#!/bin/sh
# ---------------------------------------------------------------------------
# Protocols test
# Copyright (C) 2007 Bull S.A.S.
# Contact: jonas-team@objectweb.org
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
#
# ---------------------------------------------------------------------------
# $Id: $
# ---------------------------------------------------------------------------

iterationNb=$1
prefix=$2

if [[ "${iterationNb}" = "" || "${prefix}" = "" ]]
then
	echo "Usage : $0 <iterationNb> <prefix>";
	echo "Example : $0 200 JR484Cmi";
fi

# Launches a tests suite

rootdir=`dirname $0`

mkdir report 2>/dev/null

for j in Remote CreateRemote LookupCreateRemote
do
type=$j
for i in 1 5 10 20
do

 file="report/${prefix}_${type}_${i}_${iterationNb}_0.report"
 cmd="${rootdir}/client.sh multiserial ${i} ${iterationNb} 0 ${type} 2>${file}"
 echo "$cmd";
 $cmd  1>/dev/null 2>${file}

done
done
